« « HMC5883L ‘class TwoWire’ has no member named ‘send’ | Arduino RC Car Gets Bluetooth, Python Interface » »

Error Installing wxPython- No appropriate 64-bit architecture

Sep 10, 2012 by     No Comments    Posted under: Error codes, Python

I ran into the following error trying to install wxpython today:

 

File “pythongui.py”, line 6, in <module>
import wx
File “//usr/local/lib/wxPython-unicode-2.8.12.1/lib/python2.6/site-packages/wx-2.8-mac-unicode/wx/__init__.py”, line 45, in <module>
from wx._core import *
File “//usr/local/lib/wxPython-unicode-2.8.12.1/lib/python2.6/site-packages/wx-2.8-mac-unicode/wx/_core.py”, line 4, in <module>
import _core_
ImportError: /usr/local/lib/wxPython-unicode-2.8.12.1/lib/python2.6/site-packages/wx-2.8-mac-unicode/wx/_core_.so: no appropriate 64-bit architecture (see “man python” for running in 32-bit mode)

 

The solution is simple. Run the command:

export VERSIONER_PYTHON_PREFER_32_BIT=yes

in terminal, then try rerunning your script. Everything should work fine now.

Leave a comment

XHTML: You can use these tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>